Subject: Re: bug#47783: 28.0.50; [feature/native-comp] libgccjit.so: error: error invoking gcc driver

From: Eli Zaretskii <[email-masked]>
Date: Thu, 15 Apr 2021 09:58:48 +0300

> From: Pankaj Jangid <[email-masked]>
> Date: Thu, 15 Apr 2021 08:20:26 +0530
> 
> 
> I am on macos and after launching Emacs, I get this libgccjit
> error. Is this something that I can ignore for now?
> 
> --8<---------------cut here---------------start------------->8---
> Warning (comp): libgccjit.so: error: error invoking gcc driver Disable showing Disable logging
> Warning (comp):
> /Users/pankaj/Applications/Emacs.app/Contents/Resources/lisp/emacs-lisp/cl-lib.el.gz:
> Error: Internal native compiler error failed to compile Disable
> showing Disable logging
> --8<---------------cut here---------------end--------------->8---
> 
> Further, there are lots of compiler warnings from different package, as
> I use Emacs. That means the native compilation is definitely working
> asynchronously. One observation here is that every time this happens the
> CPU goes 99% for a short time.
> 
> I am not using ‘gcc’. I have yet to successfully build Emacs with
> ‘gcc-10’ on macos. I did this to build Emacs:
> 
> git clone ...
> ./autogen.sh
> CC=/usr/bin/clang ./configure --with-native-compilation
> make -j8 # I have 4 core, hyperthreading enabled system
> 
> Probably ‘clang’ and ‘libgccjit’ has a problem working together.

So if you don't use GCC, where and how did you get libgccjit, and what
version of GCC does it belong to?